Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be very useful a Project Plan import/export utility based on commercial or free software such as MS Project, Gantt Project,

etc., so, very large projects could be planned using a desktop tool and then, imported into Redmine

History

#1 - 2008-06-24 16:22 - milel fff

I'm waiting for it also.It's much easier to make plan in Gantt for me.

#2 - 2008-08-12 08:24 - Andrés Escudero Apesteguía

We are developing the Microsoft Project file import/export utility as a plug-in for Redmine. We are having some problems with task relations due to

validation on model (\app\models\issue_relation.rb):

def before_save

    if TYPE_PRECEDES == relation_type

      self.delay ||= 0

    else

      self.delay = nil

    end

    set_issue_to_dates

  end

  def set_issue_to_dates

    soonest_start = self.successor_soonest_start

    if soonest_start && (!issue_to.start_date || issue_to.start_date < soonest_start)

      issue_to.start_date, issue_to.due_date = successor_soonest_start, successor_soonest_start + issue_to.dur

ation

      issue_to.save

    end

  end

  def successor_soonest_start

    return nil unless (TYPE_PRECEDES == self.relation_type) && (issue_from.start_date || issue_from.due_date)

    (issue_from.due_date || issue_from.start_date) + 1 + delay

  end

 We have seen this methods make that TYPE_PRECEDES relations can’t start the same day.  This is where we have the trouble.

For example: at the beginning of a project we have some tasks having a duration less than a day so they have the same start date. This code updates

our start dates adding a day to theirs start date. For example:

MS PROJECT

Designar Jefe del Proyecto

Duration: 1h

Begin date: mar 22/04/08

End date: mar 22/04/08

Crear infraestructura del proyecto

Duration: 4h

Begin date: mar 22/04/08

End date: mar 22/04/08

Tomar requisitos iniciales

Duration: 1d

Begin date: mar 22/04/08

End date: mar 23/04/08

REDMINE

Designar Jefe del Proyecto

Begin date: 2008-04-22

End date: 2008-04-22
Crear infraestructura del proyecto

Begin date: 2008-04-23

End date: 2008-04-23

Tomar requisitos iniciales

Begin date: 2008-04-23

End date: 2008-04-24

Some help on this matter?

#3 - 2008-10-15 08:17 - Prashant N

Hi,

anyone has done this of importing / integrating GanttProject with redmine ?

regards

shann

#4 - 2008-10-16 14:43 - Marco D'Arienzo

+1

#5 - 2009-02-04 16:06 - Simon Stearn

+1 !

#6 - 2009-07-15 01:52 - Slava Mikerin

+1

#7 - 2009-07-23 04:55 - Scott Tearle

Has there been any progress on this?

#8 - 2009-07-23 11:50 - alexandre guillebot

+1

#9 - 2009-07-23 14:10 - André Tenreiro

This shall be a priority!!!

#10 - 2009-08-03 03:05 - Alessandro Hecht

+1

#11 - 2009-08-04 14:30 - Andy Piper

+1

#12 - 2009-08-06 17:20 - Simon Stearn

Here is a simple project plan loader as a plugin.  First time using ruby and first time using git, but its here if you want to try it:

http://github.com/simonstearn/Redmine-Project-Loader/tree/master

Its about 6 months old now. We have been using with version 8.0 of redmine - I havent tried it on any later versions yet. I know I should put some unit

tests together for it - but its a long journey to this modern stuff for an old C hacker.  The clever stuff is all lifted out of 

http://pond.org.uk/ruby/trackrecord/ which Andrew Hodgkinson kindly open sourced. The crummy hacking is all mine - sorry Andrew.

Not clever enough to get it to spit out project plans, cope with resource assignments or merge plans to pre-existing issues yet - so this just creates an

issue on the default (configured) tracker for each low level task. The rest is left as an exercise for the reader. :-)

Enjoy.

#13 - 2009-08-11 18:10 - Guilherme Santos

+1

#14 - 2009-11-01 19:19 - Giuseppe Mazzotta

+1

please implement MS Project support!
#15 - 2009-12-22 16:48 - Barnabás Králik

+1

#16 - 2009-12-29 05:45 - tvt me

+1

#17 - 2010-01-07 13:44 - Sanjay Chitnis

I found this plugin: http://github.com/suer/redmine_ms_projects .

Has anyone used it?

#18 - 2010-03-01 12:35 - Marcus Ilgner

Just thought about importing my GanttProject plan into Redmine and came across this ticket. Seems like there's no activity?

#19 - 2010-03-02 00:02 - Marcus Ilgner

After unsuccessfully trying to get the plugin recommended by Sanjay to work, I finally decided to roll my own plugin to import GanttProject files.

I'm a bit rusty with my Rails development, as I've been mainly working with Java for a couple of months, but after about two hours work it is now

possible to import tasks from a GanttProject file and display the imported task tree.

The next step would be for the user to check this information and maybe select which tasks should not be synchronized into the issue tracker. As I

have a lot of things to do, I'm not sure if I can finish it this week, but I guess that I should have a basic version available by Sunday evening.

Comments and participation (especially translations other than english and german) are welcome, of course.

You may find the source at http://github.com/milgner/redmine_ganttproject_sync

#20 - 2010-03-03 17:14 - Roberto Lo Giacco

I can provide italian translation if it works with MS Project files too.

Is your plugin able to update tasks or does it perform the initial import only?

What about export? It could be really useful if I can plan my project on MS Project, let my users interact with RedMine and periodically download an

export for MS Project for review.

#21 - 2010-03-03 17:14 - Roberto Lo Giacco

BTW, I'm a Java developer too, may be I can help in some way?

#22 - 2010-03-04 10:51 - Marcus Ilgner

Roberto Lo Giacco wrote:

I can provide italian translation if it works with MS Project files too.

 I don't want to promise MS Project support yet, as I could only use exported GanttProject files to test it. For any more functionality, I'd have to rely on

any sample files you or someone else could provide. Generally speaking, the XML generated by the GanttProject exporter isn't that different from the

GanttProject files, so it wouldn't probably be that hard to simply write another import method after the whole infrastructure is working.

Is your plugin able to update tasks or does it perform the initial import only?

 Last evening was mostly spent on looking into and extending the built-in issue model of Redmine, where I added a field to each issue to identify the

original task id it was imported from. So updating should work, I still hope there won't be too many problems in case the original project file gets

re-arranged too much, as I don't know a thing about how GanttProject (or MS Project for that matter) internally manages the task ids.

Also, I'm still thinking about what options for updating/synchronization are required, like if the importer should preserve (or maybe explicitly delete) the

comment history on issues and whatever things one might want.

What about export? It could be really useful if I can plan my project on MS Project, let my users interact with RedMine and periodically download

an export for MS Project for review.

 Yeah, I thought about exporting,  too. But import/update is the top priority now, I'll think about exporting when I get there :)

#23 - 2010-03-04 19:39 - Simon Stearn

I have updated my project plan importer to work with Redmine 0.9.2.  Also this now includes some improvements submitted by Scott (svvitale) -

thanks Scott.

Its available for download here: http://github.com/simonstearn/redmine_loader.

Enjoy.

#24 - 2010-03-08 21:36 - Marcus Ilgner
Ok, great to know that there's already a plugin for MS Project out there. I just pushed some minor improvements to GitHub to make selecting the

tasks to synchronize more comfortable.

As basic functionality is working now, I'll try to get the redmine templates to display information about nested tasks (parents & childs) as well as

predecessors & dependendent tasks as a next step.

#25 - 2010-03-25 18:49 - Robert Smith

Simon Stearn wrote:

I have updated my project plan importer to work with Redmine 0.9.2.

 Great work! I don't suppose you have any screenshots showing the results of importing on a reasonable sized project have you? I'm currently

evaluating Redmine, but to compete with the paid solutions I'd need to make substantial use of plugins, and so far each I've tried has failed at some

point, yours included I'm afraid -- some nil-related error on adding the selected tasks.

#26 - 2010-04-02 20:46 - Simon Stearn

Robert - I have just reproduced this. I am away from a decent development environment for the next week or so, but I'll post back here when I have

news. Sorry this wasted your time !

#27 - 2010-04-06 17:39 - Simon Stearn

Robert - I think this is resolved now. Let me know if you have problems still.

#28 - 2010-04-08 09:02 - Pedro Gutierrez

- File Una_tarea.xml added

Hi Simon,

We are very excited with your plugin for loading Openproj xml files into Redmine issue trackers. However, so far we've not been able to use it

correctly. Regardles of the xml file we use, we always get the same error : No usable tasks were found in that file

I attach one of the xml files we're using with just one single task.

#29 - 2010-04-08 10:38 - Robert Smith

Simon Stearn wrote:

Robert - I think this is resolved now. Let me know if you have problems still.

 Simon, thanks for the update. I'm on another project at the moment (testing and fixing a Java project done by a sequence of stagiaires -- what fun!)

but I'll try and fit in testing the plugin on the same MS Project XML file today, and let you know the result.

#30 - 2010-04-08 11:58 - Robert Smith

Robert Smith wrote:

I'll try and fit in testing the plugin on the same MS Project XML file today

 Alternatively I'll try it straight away, and ignore Java for a while. Environment: latest redmine0.9stable, sqlite3, webrick, virtual pc with 1.5GB. The

XML file loaded OK (95 work packages, 7MB of XML) and took 186 seconds. I changed the duplicate task names and I found the duplicate number by

each duplicate task very useful.

On the downside, at the next step it complained about names being blank or more than 30 characters. About 80% of the tasks names were over 30

characters, so after repeatedly pruning and coming back to the same screen, I finally tried to add just a few tasks rather than all 95, but it still came

back to the whinge screen. At that point I gave up.

So to summarise:

1. Is the 30-character limit necessary? I chose the default Feature option, but don't all trackers allow longer names?

2. It would be helpful to mark the fields accused of being empty or over the length limit.

3. I seem to remember that categories were shown in the first import view, but in the whinge view the category menus were empty (i have no

categories predefined). Does it add the categories, or only set them if they have been predefined?

Hope the feedback is useful, and no rush on my behalf. For my own needs the other week I wrote a stand-alone Ruby script that did a simple search

of the XML files, and then used the RESTful interface to add them as a task hierarchy under the new subtasking mechanism. I chose that approach

as it was just for a demo, and at the time I knew Ruby but not Rails.

#31 - 2010-04-22 08:24 - Xabier Elkano

- File loader_controller.rb.diff added
I've been testing the Simon's plugin (thanks Simon!):

- There is no 30 characters limit on task names. The problem is when the category name reaches this limit.

- The categories (new categories) are retrieved from xml file, they are tasks with subtasks. This approach is not valid for me. I think that categories

must be on the redmine project or leave the category field blank to make easier the import.

- This plugin only works for MS Project. For OpenProj and Granttproject does not work because it searches for some tags that does not exist in the

xml file. I need the plugin working on OpenProj.

I've updated the plugin to satisfy my criteria and to work with OpenProj:

- Now it works with MS Project, OpenProj and GranttProject, tested with all of them.

- I've cut the task's predecessor functionality. It isn’t necessary for me.

- I fill the category field with blank for default value and don't import anything from xml document; the category selector only shows existing

categories.

I attach the diff files I've updated in the plugin.

thanks for the plugin Simon, is great!

#32 - 2010-04-22 08:26 - Xabier Elkano

- File loader_helper.rb.diff added

And loader_helper.rb

#33 - 2010-05-06 11:20 - Se Ri

Hi Simon and all,

For those who have tried this plugin, let me ask a stupid question.

After selecting XML file (from MS Project), I select some tasks, click Import selected tasks and get this error (on top of the screen)

"Unable to import tasks: Validation failed: Submitted date can't be blank, Module can't be blank, Value is invalid, Priority can't be blank"

Please help to tell me what to do to pass. Should I edit XML file to include tracker and priority ?

Thanks in advance.

Seri

PS. I use this version "simonstearn-redmine_loader-0.0.11-0-g666c84d.zip" and redmine 0.9.4

#34 - 2010-05-06 11:27 - Se Ri

Hi all,

Forget about my previous error message, which includes custom fields. This is the one

"Unable to import tasks: Validation failed: Priority can't be blank".

Should I modify XML file to pass ?

Seri

#35 - 2010-06-07 16:23 - Gennadii Omelchenko

Hi all!

Thanks, Simon, for your plugin!

But I've got some problem :(

First, It's impossible to configure issue state, when i assign developer during import (we've changed standart state machine and i've got issue in

"postponed" state).

Second, Plugin generates illegal link to Issues page for our server after import (it has local address - http:\\server:port\redmine, and plugin generates

address http:\\redmine:port\issues instead of http:\\redmine:port\redmine\issues)

Can anybody help with these bug?

#36 - 2010-08-12 09:45 - Fabio Leitao

- File pp.xml added

Simon,

I have been reading the code from your plugin and I have to thank you a lot for your effort.
I was trying to collaborate but I could translate to my own language (pt-BR) without messing with the actual code since there is no real en.yml? I could

only find a fake one...

Does anyone here knows what it take to make the plugin portable to other languages?

--

Another issue, completelly different, I must be doing something terrebly wrong cause when I try to import any openproj xml file it tells that "No usable

tasks were found in that file"

#37 - 2010-08-12 13:51 - Xabier Elkano

- File redmine_importer.tar.gz added

Fabio Leitao wrote:

Simon,

I have been reading the code from your plugin and I have to thank you a lot for your effort.

I was trying to collaborate but I could translate to my own language (pt-BR) without messing with the actual code since there is no real en.yml? I

could only find a fake one...

Does anyone here knows what it take to make the plugin portable to other languages?

--

Another issue, completelly different, I must be doing something terrebly wrong cause when I try to import any openproj xml file it tells that "No

usable tasks were found in that file"

 Fabio, I've just modified the plugin to support other languages. I've also modified some code to support openproj and ganttproject, because we work

with them.

My plugin version is a bit different because I've personalized it to my needs. I've tested it in redmine 1.0

I hope that it helps you.

#38 - 2010-08-13 02:46 - Fabio Leitao

- File pt-BR.yml added

Xabier Elkano wrote:

Fabio, I've just modified the plugin to support other languages. I've also modified some code to support openproj and ganttproject, because we

work with them.

My plugin version is a bit different because I've personalized it to my needs. I've tested it in redmine 1.0

I hope that it helps you.

 Xabier,

:D It worked like a charm! Already importing tasks and milestones from OpenProj XML files... I'll try MS Project this weekend (don't have any now).

By the way, here is my pt-BR.yml translation file, I hope I've got all the phrases right (specially the logic describing how it works).

Thanx

#39 - 2010-08-13 03:07 - Fabio Leitao

Almost forgot to ask... the tasks that already had some % of progress (but not yet 100%) got imported on "feedback" mode, while the uninitiated ones

got the project folder as "new"

Is this the expected behaviour? Would it be difficult to customize for 0% as "new", 1..99% as "In progress" and 100% as "Feedback" or even

"Closed"? I believe it makes more sense for most users in most situations, but I am not sure how or where to change it.

And what would the "existing categories" be used for? It did not seem to change anything on the end result.

For the one willing to test it too, I am using it (today) under Redmine 1.0.0.devel.3938 (MySQL), non-destructively working together with serveral other

plugins in my system.

#40 - 2010-08-13 10:16 - Xabier Elkano

Fabio Leitao wrote:
Almost forgot to ask... the tasks that already had some % of progress (but not yet 100%) got imported on "feedback" mode, while the uninitiated

ones got the project folder as "new"

Is this the expected behaviour? Would it be difficult to customize for 0% as "new", 1..99% as "In progress" and 100% as "Feedback" or even

"Closed"? I believe it makes more sense for most users in most situations, but I am not sure how or where to change it.

 I am very novice in ruby, but I think it can be done in loader_controller when you are filling the destintation issue. The problem here is that these issue

states can be customized. Now, the issue state is not filled when the issue is imported so the issue is imported with default state (NEW).

And what would the "existing categories" be used for? It did not seem to change anything on the end result.

 "Existing Categories" is for import the issue assigning directly a category that exists on the current project. If the list is empty is because you have not

issue categories in that project.

#41 - 2010-08-14 07:52 - Fabio Leitao

Xabier Elkano wrote:

Fabio Leitao wrote:

Almost forgot to ask... the tasks that already had some % of progress (but not yet 100%) got imported on "feedback" mode, while the

uninitiated ones got the project folder as "new"

Is this the expected behaviour? Would it be difficult to customize for 0% as "new", 1..99% as "In progress" and 100% as "Feedback" or

even "Closed"? I believe it makes more sense for most users in most situations, but I am not sure how or where to change it.

 I am very novice in ruby, but I think it can be done in loader_controller when you are filling the destintation issue. The problem here is that these

issue states can be customized. Now, the issue state is not filled when the issue is imported so the issue is imported with default state (NEW).

 I am still a ruby newbie, but I'm looking forward for the chalenge, I'll try to understand it better, make my changes and experiment for a while... I hope I

can figure out where to adjust this behaviour, and post here any discoveries.

And what would the "existing categories" be used for? It did not seem to change anything on the end result.

 "Existing Categories" is for import the issue assigning directly a category that exists on the current project. If the list is empty is because you

have not issue categories in that project.

 Oh, I do have a project (in my production system) with categories... I'll eventually try that as well.

#42 - 2010-08-14 08:21 - Fabio Leitao

And it won't run with Redmine 1.0.0.devel.3940 - beware of upgrades - I had to roll back.

#43 - 2010-08-14 09:55 - Fabio Leitao

- File loader_controller.rb.issue_status.patch added

- File pt-BR.yml added

Xabier,

I think I am in love with Ruby right now... it was as straight forward as possible.

I am reposting my pt-BR.yml translation, because I have realized I had made a stupid mistake (my bad), and I would like you to consider applying my

patch to you loader_controller.rb

With it, I had implemented the following cenarios:

a) if, when imported, task is not assigned to anyone yet, it will stay as NEW (i.status_id = 1), regardless of progress amount - i.e. there is no one

responsible, there most likely be no progress yet

b) if, in the other  hand, the task is assigned to someone but has no progress, it will change the status to CONFIRMED (i.status_id = 9) - i.e. someone

can start working on it

c) if, again, the task has been assigned to someone and some progress (from 1% to 99%) has been declared (in the original XML file or edited on the

fly), the status will be IN PROGRESS (i.status_id = 2) - someone has already started working on it

d) if, for instance, the task has been assigned to someone, and it says it has been 100% done already, then it is marked as RESOLVED (i.status_id =

3) - someone has completed it (but a customer or manager may need to confirm and close it)

Those were based on the current default status available in a fresh redmine instalation, and if you have customized the names of the issue status in
your instalation (I believe you know what you have been doing then) your choice of no longer makes sense with my choices, it is a simple

"find-the-correct-status-number-reading-from-your-log-file" and "set-the-supposed-new-value-in-the-correct-position-of-the-code" task now.

When I learn, I'll try to post a rewrite of the plugin configuration page that might ask for the "required default state" according to what the user might

like to use when importing, based on the interpretation of the status_id from his/her particular system... but then again, I have no idea where to look

for it... :D

#44 - 2010-08-16 08:31 - Xabier Elkano

Fabio,

I've been seeing your patch and is a nice feature, but on my installation, at the moment, I only have three states to simplify the operation (Open,

solved and closed), sure on the near future the list grows up, but for now I can only apply part of your patch ("d" case), thanks!

Those were based on the current default status available in a fresh redmine instalation, and if you have customized the names of the issue

status in your instalation (I believe you know what you have been doing then) your choice of no longer makes sense with my choices, it is a

simple "find-the-correct-status-number-reading-from-your-log-file" and "set-the-supposed-new-value-in-the-correct-position-of-the-code" task

now.

 The states ids can be found doing a select in "issue_statuses" table.

When I learn, I'll try to post a rewrite of the plugin configuration page that might ask for the "required default state" according to what the user

might like to use when importing, based on the interpretation of the status_id from his/her particular system... but then again, I have no idea

where to look for it... :D

 maybe on this page? http://www.redmine.org/wiki/redmine/Plugin_Tutorial

#45 - 2010-09-02 17:05 - Daniel Rudolf

Hello,

I'm a newbie and I'm not sure if my question is on the right place, but has anyone thought about the mpx-format of MS Project? Is there already a

plug-in for import/export?

#46 - 2010-09-04 21:11 - Alex Last

Daniel Rudolf wrote:

Hello,

I'm a newbie and I'm not sure if my question is on the right place, but has anyone thought about the mpx-format of MS Project? Is there already a

plug-in for import/export?

 this project does Microsoft Project (MPX) <-> Redmine sync.

#47 - 2010-09-04 21:11 - Alex Last

oops. forgot to add the link:   http://code.google.com/p/redmine-connect/

#48 - 2010-12-14 10:15 - Siegfried Vogel

Alexey Yurganov: That link is not working any more. I get a "Forbidden" message.

#49 - 2010-12-14 10:21 - Alex Last

I renamed the project and moved it to a new domain: http://www.taskadapter.com

the application is not free anymore, but you can download a trial version from there.

#50 - 2011-01-11 18:03 - Roman aka iTUX

Alexey Skor wrote:

I renamed the project and moved it to a new domain: http://www.taskadapter.com

the application is not free anymore, but you can download a trial version from there.

 good software, but it costs too much

#51 - 2011-01-11 20:35 - Alex Last

Roman aka iTUX wrote:
Alexey Skor wrote:

I renamed the project and moved it to a new domain: http://www.taskadapter.com

the application is not free anymore, but you can download a trial version from there.

 good software, but it costs too much

 Thanks for trying it. The price includes support for 1 year. Some of the users request additional features and bugfixes,

and this is also included in the price. For example, a version planned for February will include a command-line 2-way sync, which can be run

automatically (say, as a cron job).

The price  must cover the cost development, testing, documenting, support, plus keeping up-to-date with rapidly evolving Redmine REST API. So the

price has to be adequate to ensure the level of quality users expect of commercial software.

Anyway, please contact me (http://www.taskadapter.com/Contact) to discuss your situation

#52 - 2011-01-13 14:32 - Andreas Schrottenbaum

I've installed the loader of Simon on my System. (Downloaded from https://github.com/simonstearn/redmine_loader).

Sometimes i get the error 'Unable to import tasks: translation missing: de, activerecord, errors, messages, record_invalid'. The error only appears

when i try to import a whole project at once. When i add the tasks block-wise by 10, the tasks are imported correctly.

Can you help me finding out what's going wrong?

#53 - 2011-03-23 09:14 - Toshi MARUYAMA

- Category set to Importers

#54 - 2011-04-13 05:02 - Fabián Varietti

Andreas Schrottenbaum wrote:

I've installed the loader of Simon on my System. (Downloaded from https://github.com/simonstearn/redmine_loader).

Sometimes i get the error 'Unable to import tasks: translation missing: de, activerecord, errors, messages, record_invalid'. The error only

appears when i try to import a whole project at once. When i add the tasks block-wise by 10, the tasks are imported correctly.

Can you help me finding out what's going wrong?

 I need a plugin to import from a MS Project (XML format) to Redmine.

In order to this, as Andreas, I've installed the loader of Simon too and the same error appears.

I tried to load only 10 task but the error always stop the import (even if the tasks are deleted directly from the XML file)

Can anybody help?! THANKS

I tried to install too the plugin in the next link: http://github.com/simonstearn/redmine_loader

...but I can't restart the Redmine service (as I read It seems to be caused by .yml  file)

#55 - 2011-05-18 19:40 - Fabián Varietti

Fortunately I could solve de problem changing the languaje of the user to English.

Aparently if the user who is going to realise the import from a xml file hasn't the English lengauaje set the plugin doesn't work correctly (because a

particularity of Ruby in a puntual function which work with BD object's)

So if somebody has the same error message as me try changing the User Language to English first.

Thx!

#56 - 2011-07-21 22:50 - Alex Last

Fabián Varietti wrote:

I need a plugin to import from a MS Project (XML format) to Redmine.

In order to this, as Andreas, I've installed the loader of Simon too and the same error appears.

I tried to load only 10 task but the error always stop the import (even if the tasks are deleted directly from the XML file)

Can anybody help?! THANKS

 Task Adapter does exactly this: export data from MSP to Redmine (and vice-versa): http://taskadapter.com

#57 - 2011-09-09 22:37 - Mobi Develoepr
http://www.taskadapter.com
http://www.taskadapter.com/Contact
https://github.com/simonstearn/redmine_loader
https://github.com/simonstearn/redmine_loader
http://github.com/simonstearn/redmine_loader
http://taskadapter.com


Hello,

I am new to redmine and wanted to use this plugin to import an MS Project XML File. I tried to import an XML file from MS Project. the analysis went

thro fine, but i have over 200+ tasks and the "Tracker" field is empty. so when i try to import it i get this error message

Unable to import tasks: Validation failed: Tracker can't be blank, Tracker is not included in the list

How do i add "Tracker" field in my MPP project in MS Project? OR should i change the XML file? if so how?

any help in this would be highly appreciated

#58 - 2011-10-06 18:57 - Ivana Larramendia

Hello, i'm trying to use this plugin but i get this message> UNABLE TO IMPORT TASKS:translation missing:es, activerecord, errors, messages,

record_invalid.

i'm ussing redmine 1.2.1, rake 0.8.7, rails 2.3.11, i18n 0.4.2 and rack 1.1.1

if someone can help please?

#59 - 2011-10-07 12:15 - Xabier Elkano

Mobi Develoepr wrote:

How do i add "Tracker" field in my MPP project in MS Project? OR should i change the XML file? if so how?

any help in this would be highly appreciated

 Have you configured the tracker in the plugin settings?

Ivana Larramendia wrote:

Hello, i'm trying to use this plugin but i get this message> UNABLE TO IMPORT TASKS:translation missing:es, activerecord, errors, messages,

record_invalid.

i'm ussing redmine 1.2.1, rake 0.8.7, rails 2.3.11, i18n 0.4.2 and rack 1.1.1

if someone can help please?

 Are you using this http://www.redmine.org/attachments/4296/redmine_importer.tar.gz ??

#60 - 2011-10-07 12:33 - Ivana Larramendia

- File Pantallazo-6.png added

yes, i'm using the same one, i add the lines es: and en: in the top of the en.yml and es.yml but still doesn't work.

this is the screenshot i get wen i try to import selection.

#61 - 2011-10-07 12:38 - Xabier Elkano

Ivana Larramendia wrote:

yes, i'm using the same one, i add the lines es: and en: in the top of the en.yml and es.yml but still doesn't work.

this is the screenshot i get wen i try to import selection.

 Can you attach the xml test file you are trying to import?

#62 - 2011-10-07 12:43 - Ivana Larramendia

i'm using the one is here. Una_tarea.xml.. that one i'm trying to use and i get that message.

#63 - 2011-10-07 13:01 - Xabier Elkano

Ivana Larramendia wrote:

i'm using the one is here. Una_tarea.xml.. that one i'm trying to use and i get that message.

 Have you correctly configured the tracker name in the plugin settings?

#64 - 2011-10-07 13:04 - Ivana Larramendia

no, i didn't configure anything about that. i just add those lines i told you before, where do i do that?

#65 - 2011-10-07 13:28 - Xabier Elkano
http://www.redmine.org/attachments/4296/redmine_importer.tar.gz


you have to configure it first in Settings->Plugins and change the tracker name to an existing one.

#66 - 2011-10-07 13:43 - Ivana Larramendia

i leave it default .. now i tried changing it to another name existing and still get the same error message.

#67 - 2011-10-07 13:54 - Ivana Larramendia

did you modify sth in vendor/redmine_loader/config ? 'cuz the error  i'm having is for translation..

#68 - 2011-10-07 14:04 - Xabier Elkano

Ivana Larramendia wrote:

did you modify sth in vendor/redmine_loader/config ? 'cuz the error  i'm having is for translation..

 No

#69 - 2011-10-07 14:43 - Ivana Larramendia

- Status changed from New to Resolved

you have to configure ussing existing trakers in redmine..

for exemple.. in settings i use "Tareas" which is an existing tracker in redmine. and the it worked!

#70 - 2011-10-07 15:13 - Etienne Massip

- Status changed from Resolved to New

This is not a defect, please next time post your questions in Plugins forum (there is usually a thread for each plugin).

Files

Una_tarea.xml 59.6 KB 2010-04-08 Pedro Gutierrez

loader_controller.rb.diff 13.6 KB 2010-04-22 Xabier Elkano

loader_helper.rb.diff 2.55 KB 2010-04-22 Xabier Elkano

pp.xml 70.3 KB 2010-08-12 Fabio Leitao

redmine_importer.tar.gz 12.2 KB 2010-08-12 Xabier Elkano

pt-BR.yml 3.13 KB 2010-08-13 Fabio Leitao

loader_controller.rb.issue_status.patch 593 Bytes 2010-08-14 Fabio Leitao

pt-BR.yml 3.14 KB 2010-08-14 Fabio Leitao

Pantallazo-6.png 176 KB 2011-10-07 Ivana Larramendia
